### Method

# Gtk Widgetactivate_action_variant

#### Declaration [src]

    gboolean
    gtk_widget_activate_action_variant (
      GtkWidget* widget,
      const char* name,
      GVariant* args
    )

#### Description [src]

Looks up the action in the action groups associated with `widget` and its ancestors, and activates it.

If the action is in an action group added with `gtk_widget_insert_action_group()`, the `name` is expected to be prefixed with the prefix that was used when the group was inserted.

The arguments must match the actions expected parameter type, as returned by `g_action_get_parameter_type()`.

This method is renamed to `gtk_widget_activate_action()` in language bindings

#### Parameters

`name`

  Type: `const char*`

  The name of the action to activate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: `GVariant`

  Parameters to use.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the action was activated, `FALSE` if the action does not exist.